# Sanitizer_ResourceFunctionData Struct Reference
[Sanitizer Callback API]

Data passed into a CUDA function callback function. More...

## Data Fields
CUcontext | context
CUfunction | function
const char * | functionName
uint64_t | functionSize
CUmodule | module

## Detailed Description

Data passed into a CUDA function callback function as the `cbdata` argument to Sanitizer_CallbackFunc. The `cbdata` will be this type for `domain` equal tp SANITIZER_CB_DOMAIN_RESOURCE and `cbid` equal to SANITIZER_CBID_RESOURCE_FUNCTION_LOADED. The callback data is only valid within the invocation of the callback function that is passed the data. If you need to retain some data for use outside of the callback, you must make a copy of it.

## Field Documentation

CUcontext Sanitizer_ResourceFunctionData::context

The context containing the function.